Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.params
Class ConnRouteParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.conn.params.ConnRouteParamBean

    @NotThreadSafe
    public class ConnRouteParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate connection routing parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`ConnRouteParamBean(HttpParams params)`

Method Summary
`void` | `setDefaultProxy(HttpHost defaultProxy)`
`void` | `setForcedRoute(HttpRoute route)`
`void` | `setLocalAddress(InetAddress address)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnRouteParamBean

    public ConnRouteParamBean(HttpParams params)

Method Detail

### setDefaultProxy

    public void setDefaultProxy(HttpHost defaultProxy)

  See Also:
    `ConnRoutePNames.DEFAULT_PROXY`

### setLocalAddress

    public void setLocalAddress(InetAddress address)

  See Also:
    `ConnRoutePNames.LOCAL_ADDRESS`

### setForcedRoute

    public void setForcedRoute(HttpRoute route)

  See Also:
    `ConnRoutePNames.FORCED_ROUTE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.